> ## Documentation Index
> Fetch the complete documentation index at: https://eomer.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Storage Objects



## OpenAPI

````yaml GET /storage/objects
openapi: 3.1.0
info:
  title: eomer.ai Forecasting API
  description: >-
    Production-grade time series forecasting and natural-language forecasting
    agent
  version: 0.1.0
servers: []
security: []
tags:
  - name: forecasting
    description: Time-series forecasting jobs
  - name: agent
    description: >-
      Natural-language forecasting: extract intent from a prompt, profile and
      recommend a model, and auto-submit a forecast.
  - name: tabular
    description: Classification and regression
  - name: fine-tuning
    description: Custom model training
  - name: storage
    description: Cloud dataset storage
  - name: estimates
    description: Cost and runtime estimation
  - name: system
    description: Health checks and model catalog
paths:
  /storage/objects:
    get:
      tags:
        - storage
      summary: List Tenant Objects
      operationId: list_tenant_objects_storage_objects_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StorageObjectListResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    StorageObjectListResponse:
      properties:
        objects:
          items:
            $ref: '#/components/schemas/StorageObjectListItem'
          type: array
          title: Objects
      type: object
      required:
        - objects
      title: StorageObjectListResponse
      description: Response body for listing tenant-owned stored objects.
    StorageObjectListItem:
      properties:
        object_id:
          type: string
          title: Object Id
        status:
          $ref: '#/components/schemas/StorageObjectStatus'
        original_filename:
          type: string
          title: Original Filename
        content_type:
          type: string
          title: Content Type
        file_size:
          anyOf:
            - type: integer
            - type: 'null'
          title: File Size
        created_at:
          type: string
          format: date-time
          title: Created At
        uploaded_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Uploaded At
      type: object
      required:
        - object_id
        - status
        - original_filename
        - content_type
        - created_at
      title: StorageObjectListItem
      description: List item for tenant-owned uploaded objects.
    StorageObjectStatus:
      type: string
      enum:
        - presigned
        - uploaded
        - failed
      title: StorageObjectStatus
      description: Status values for tenant-scoped uploaded objects.
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````